Loading...
Searching...
No Matches
BALL::VIEW::RenderToBufferFinishedEvent Class Reference

`#include <BALL/VIEW/RENDERING/renderSetup.h>`

Inheritance diagram for BALL::VIEW::RenderToBufferFinishedEvent:

## Public Member Functions

| RenderToBufferFinishedEvent (boost::shared_ptr< RenderSetup > renderer)
boost::shared_ptr< RenderSetup > | getRenderer ()

## Protected Attributes

boost::shared_ptr< RenderSetup > | renderer_

## Detailed Description

This class is used for communication of render events over thread boundaries.

Definition at line 368 of file renderSetup.h.

## Constructor & Destructor Documentation

## RenderToBufferFinishedEvent()

BALL::VIEW::RenderToBufferFinishedEvent::RenderToBufferFinishedEvent | ( | boost::shared_ptr< RenderSetup > | renderer | ) |

inline

Definition at line 372 of file renderSetup.h.

## Member Function Documentation

## getRenderer()

boost::shared_ptr< RenderSetup > BALL::VIEW::RenderToBufferFinishedEvent::getRenderer | ( |  | ) |

inline

Definition at line 377 of file renderSetup.h.

## Member Data Documentation

## renderer_

boost::shared_ptr<RenderSetup> BALL::VIEW::RenderToBufferFinishedEvent::renderer_

protected

Definition at line 380 of file renderSetup.h.